.NET Framework 4.0 - problem z instalacją


(Ewapryma) #1

Witam.

Mam dość poważny problem z .NET Framework 4.0 Dotyczy on tego, że program w żaden sposób nie chce się ani usunąć, ani zainstalować ponownie (naprawić). Ściągnąłem ze strony MS instalkę, i gdy ją uruchamiam, wybieram opcję "Przywróć program do stanu wyjściowego", klikam Dalej. Wtedy pod górnym paskiem jest napisane "Wszystkie pliki zostały zweryfikowane pomyślnie" natomiast pasek na dole zamiera i w nowym oknie wyskakuje komunikat Instalatora Windows, że "Funkcja, której próbujesz użyć, znajduje się w niedostępnym zasobie sieciowym". Z tego co widzę, to potrzebny jest folder zawierający pakiet "NDP40-KB2473228". Oczywiście u mnie na komputerze nie ma czegoś takiego.

Drugi problem jest powiązany z pierwszym. Jak wchodzę w Dodaj/Usuń programy to widzę, że są tam pozycje .NET Framework Client Profile i Extended, ale przy uruchamianiu systemu wyskakuje komunikat Catalyst Control Center, jakoby nie było u mnie żadnej wersji .NET Framework (nawet 2.0). Poza tym niektóre gry nie działają (na pewno z powodu tego .NET Frameworka)

Rozpaczliwie błagam o pomoc.


(system) #2

wyczyść cały Netframework tym programem

http://storage.dobreprogramy.pl/akcesor ... rogramy.pl.zip

później musisz zrobić restart i usunąć ręcznie pozostałości w folderze /Windows/Microsoft.NET ,oczywiście pozostawiając katalog /DirectX for Managed Code (jak go masz) i wyczyść rejestr tym programem http://www.auslogics.com/en/downloads/r ... -setup.exe


(Ewapryma) #3

Dobrze, jest troszkę lepiej - tzn. już daje się usunąć 4.0 i zainstalować ponownie. Jednak ciągle system nie wykrywa tego, że zainstalowałem wersję 4.0. Moje pytanie jest takie - czy .NET Framework trzeba instalować po kolei? (2.0 -> 3.0 -> 3.5 -> 4.0)?

Swoją drogą bawię się tak, bo próbuję odpalić Wieśka 2 po najnowszej aktualizacji :wink:


(SnykeShadow) #4

Tak.


(system) #5

nie wiem o co ci dokładnie chodzi pisząc że system nie wykrywa że jest zainstalowana wersja 4.0


(Kylek) #6

Odnośnie instalacji poszczególnych .NET Frameworków, to nie trzeba instalować wszystkich, gdyż niektóre wersje zawierają poprzednie. Jeżeli chcesz mieć w systemie wszystkie edycje .NET Frameworków zainstaluj:

  1. .NET 1.1 (o ile nie masz go już w systemie - jest wbudowany w Viście i wyżej oraz w niektórych nowych wersjach XP).

  2. .NET 3.5 (ten zawiera w sobie 2.0, 3.0 oraz 3.5).

  3. .NET 4.0

Ja instaluję w tej kolejności (1.1. mam już w XP zintegrowany) i wszystko działa bez problemu.


(SnykeShadow) #7

Niestety, ale nie zawsze jest tak jak piszesz. Instalacja pakietu 3,5 na wersje 2,0 wymaga zainstalowanego pakietu 3.0 – Bynajmniej mi tak „krzyczy” po każdorazowej reinstalacji systemu.


(Ewapryma) #8

Niby prawie wszystko jest w porządku, ale pojawił się problem z aktualizacją Windowsa dotyczącą właśnie NF 4.0 Żadna nie chce się zainstalować. Znowu musze wszystko od nowa instalować?